Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
Class SqlWhereVisitor

author:
  James Strachan

version:
  $Revision: 7922 $

Field Summary
`StringBuffer` | `buffer`
`List` | `parameters`

Constructor Summary
`SqlWhereVisitor()`

Method Summary
`List` | `getParameters()`
`String` | `getWhere()`
`String` | `tokenAsSql(Token token)`
`void` | `visitBinaryExpression(BinaryExpression expression)`
`void` | `visitBooleanExpression(BooleanExpression expression)`
`void` | `visitConstantExpression(ConstantExpression expression)`
`void` | `visitPropertyExpression(PropertyExpression expression)`
`void` | `visitReturnStatement(ReturnStatement statement)`

Constructor Detail

### SqlWhereVisitor

    SqlWhereVisitor()

Method Detail

### getParameters

    public List getParameters()

### getWhere

    public String getWhere()

### tokenAsSql

    String tokenAsSql(Token token)

### visitBinaryExpression

    public void visitBinaryExpression(BinaryExpression expression)

### visitBooleanExpression

    public void visitBooleanExpression(BooleanExpression expression)

### visitConstantExpression

    public void visitConstantExpression(ConstantExpression expression)

### visitPropertyExpression

    public void visitPropertyExpression(PropertyExpression expression)

### visitReturnStatement

    public void visitReturnStatement(ReturnStatement statement)